View Issue Details

IDProjectCategoryView StatusLast Update
0005446Talerexchangepublic2021-09-02 18:14
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005446: auditor should count number of coins seen, not just their value
Description... in order to do denomination key revocation correctly.

In particular, only counting the value seen allows the adversary to only deposit a small amount of each forged coin, and then use the emergency recovery protocol (once 0005445 is implemented) to make a large profit.
TagsNo tags attached.

Relationships

related to 0005445 closedChristian Grothoff emergency payback protocol should support refreshed coins 

Activities

Christian Grothoff

2018-10-28 11:39

manager   ~0013291

count_known_coins() now exists in exchangedb.
num_issued was added to the 'struct DenominationSummary' in taler-auditor (and auditordb).

What is missing is the logic to check that the two are (in)consistent and to extend the reporting logic accordingly.

Christian Grothoff

2018-11-04 16:20

manager   ~0013318

Fixed in 33441042..332341cb

Christian Grothoff

2021-09-02 18:14

manager   ~0018280

Fix committed to master branch.

Related Changesets

exchange: master 332341cb

2018-11-04 16:20:09

Christian Grothoff

Details Diff
add check for #coins depoisted exceeding #coins issued (not just by amount), fixes 0005446 Affected Issues
0005446
mod - src/auditor/taler-auditor.c Diff File

Issue History

Date Modified Username Field Change
2018-09-28 10:45 Florian Dold New Issue
2018-09-28 10:45 Florian Dold Status new => assigned
2018-09-28 10:45 Florian Dold Assigned To => Christian Grothoff
2018-09-28 10:45 Florian Dold Relationship added related to 0005445
2018-10-06 15:09 Christian Grothoff Severity minor => feature
2018-10-28 11:39 Christian Grothoff Note Added: 0013291
2018-11-04 16:20 Christian Grothoff Note Added: 0013318
2018-11-04 16:21 Christian Grothoff Status assigned => resolved
2018-11-04 16:21 Christian Grothoff Resolution open => fixed
2018-11-04 16:21 Christian Grothoff Fixed in Version => 0.6
2018-11-04 16:21 Christian Grothoff Product Version => git (master)
2018-11-04 16:21 Christian Grothoff Target Version => 0.6
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 332341cb
2021-09-02 18:14 Christian Grothoff Note Added: 0018280